Bug 1415098 - Review Request: eglexternalplatform - EGL External Platform Interface headers
Summary: Review Request: eglexternalplatform - EGL External Platform Interface headers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 09:10 UTC by leigh scott
Modified: 2017-01-30 22:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-30 20:20:54 UTC
Type: ---
negativo17: fedora-review+


Attachments (Terms of Use)

Description leigh scott 2017-01-20 09:10:14 UTC
Spec URL: https://leigh123linux.fedorapeople.org/pub/review/eglexternalplatform/1/eglexternalplatform.spec

SRPM URL: https://leigh123linux.fedorapeople.org/pub/review/eglexternalplatform/1/eglexternalplatform-1.0-0.1.git53bf47c.fc26.src.rpm

Description: EGL External Platform Interface headers

Fedora Account System Username: leigh123linux

Comment 1 Simone Caronni 2017-01-20 11:29:16 UTC
Package is good, rpmlint shows no error and builds fine.
There are only two points which are not as per packaging guidelines.

Versioning:

https://fedoraproject.org/wiki/Packaging:Versioning#Snapshot_packages

Can you change the SPEC file as follows?

%global commit 53bf47ccd349b7525248687ba0058860168c8580
%global date 20170120
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Release:    0.1.%{?shortcommit0:.%{date}git%{shortcommit0}}%{?dist}

This would make it packaging guidelines compliant, and whether you comment out %shortcommit for a release it will work. I also would like to declare the versioning as you did (much more readable), but...

License:

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Can you include the license as an external file, and include it in the sources as %license? Then we can open a pull request to Nvidia for inclusion.

------

Also, OPTIONAL (would be nice, but as you wish):

- Align description to 80 columns wide if you can
- Remove extra spaces at the top of the file in the %global directives

Please also build for the various EPEL branches :)

Comment 2 leigh scott 2017-01-20 12:38:46 UTC
Spec URL: https://leigh123linux.fedorapeople.org/pub/review/eglexternalplatform/2/eglexternalplatform.spec


SRPM URL: https://leigh123linux.fedorapeople.org/pub/review/eglexternalplatform/2/eglexternalplatform-1.0-0.2.20170120git53bf47c.fc26.src.rpm

(In reply to Simone Caronni from comment #1)
> Package is good, rpmlint shows no error and builds fine.
> There are only two points which are not as per packaging guidelines.
> 
> Versioning:
> 
> https://fedoraproject.org/wiki/Packaging:Versioning#Snapshot_packages
> 
> Can you change the SPEC file as follows?
> 
> %global commit 53bf47ccd349b7525248687ba0058860168c8580
> %global date 20170120
> %global shortcommit %(c=%{commit}; echo ${c:0:7})
> 
> Release:    0.1.%{?shortcommit0:.%{date}git%{shortcommit0}}%{?dist}
> 
> This would make it packaging guidelines compliant, and whether you comment
> out %shortcommit for a release it will work. I also would like to declare
> the versioning as you did (much more readable), but...
> 
> License:
> 
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Text
> 
> Can you include the license as an external file, and include it in the
> sources as %license? Then we can open a pull request to Nvidia for inclusion.
> 

I will only do that if upstream refuses (as per the fedora guidelines).


"However, in situations where upstream is unresponsive, unable, or unwilling to provide proper full license text as part of the source code, and the indicated license requires that the full license text be included, Fedora Packagers must either"

> ------
> 
> Also, OPTIONAL (would be nice, but as you wish):
> 
> - Align description to 80 columns wide if you can
> - Remove extra spaces at the top of the file in the %global directives
> 
> Please also build for the various EPEL branches :)

Comment 3 Simone Caronni 2017-01-20 12:43:28 UTC
(In reply to leigh scott from comment #2)
> I will only do that if upstream refuses (as per the fedora guidelines).

Fine.

Package approved.

Comment 4 leigh scott 2017-01-20 13:06:38 UTC
(In reply to Simone Caronni from comment #3)
> (In reply to leigh scott from comment #2)
> > I will only do that if upstream refuses (as per the fedora guidelines).
> 
> Fine.
> 
> Package approved.

Thank you, upstream PR

https://github.com/NVIDIA/eglexternalplatform/pull/1

Comment 5 Fedora Update System 2017-01-21 17:37:24 UTC
eglexternalplatform-1.0-0.2.20170120git53bf47c.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-552aefdd2e

Comment 6 Fedora Update System 2017-01-21 17:37:33 UTC
eglexternalplatform-1.0-0.2.20170120git53bf47c.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce136f875a

Comment 7 Fedora Update System 2017-01-23 01:47:59 UTC
eglexternalplatform-1.0-0.2.20170120git53bf47c.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-552aefdd2e

Comment 8 Fedora Update System 2017-01-23 02:22:29 UTC
eglexternalplatform-1.0-0.2.20170120git53bf47c.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce136f875a

Comment 9 Fedora Update System 2017-01-30 20:20:54 UTC
eglexternalplatform-1.0-0.2.20170120git53bf47c.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-30 21:50:16 UTC
eglexternalplatform-1.0-0.2.20170120git53bf47c.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-01-30 22:17:28 UTC
eglexternalplatform-1.0-0.2.20170120git53bf47c.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.